<template>
  <div class="flex flex-row items-start justify-start">
    <textarea-autosize
      :value="value"
      @input="$emit('input', $event.target.value)"
      class="break-all bg-transparent description-edit w-full"
      placeholder="Add a description..."
    >
    </textarea-autosize>
  </div>
</template>

<script>
import TextareaAutosize from "../TextareaAutosize.vue";

export default {
  components: { TextareaAutosize },
  emits: ["input"],
  props: {
    value: {
      type: String,
      required: true
    }
  },
  setup() {
    return {};
  }
};
</script>
